<?php

namespace App\Filament\Actions\Cheerful;

use App\Filament\Support\CheerfulNotification;
use Filament\Actions\CreateAction as ActionsCreateAction;

class CreateAction extends ActionsCreateAction
{
    protected function setUp(): void
    {
        parent::setUp();

        $this->modalHeading(fn () => CheerfulNotification::getByKey('actions.create.title'));

        $this->modalDescription(fn () => CheerfulNotification::getByKey('actions.create.description'));

        $this->successNotification(fn () => CheerfulNotification::create()
        );
    }
}
